﻿.page {
    background-color: #FFCD00;
    height: 100vh !important;
    display: flex !important;
    flex-direction: column !important;
}

.mainLayout-title {
    margin-top: 10px;
}

.full-width-text-left {
    width: 100%;
    text-align: left;
    vertical-align: middle;
}

.full-width-text-right {
    width: 100%;
    text-align: right;
    vertical-align: middle;
}

.map-full-size {
    height: calc(100vh - 190px);
    width: 100%;
}

.map-container {
    display: flex;
    flex-direction: column;
    height: 85vh;
    margin: 0 10px 0 10px
}

.map-container-background-white {
    background-color: white;
}

.map-details-content {
    overflow-y: auto;
    height: calc(100vh - 64px);
}

.drawer-header-sticky {
    position: sticky;
    top: 0;
    z-index: 1;  
    background-color: white !important;
}

.countryFlag-container {
    margin-top: auto;
}

.custom-menu {
    max-width: 175px;
    text-transform: initial !important;
    white-space: nowrap !important;
}

.custom-menu-logo {
    margin-right: 20px;
}

.custom-mudselect-white .mud-select-input {
    background-color: white;
    border-radius: 8px;
    max-height: 45px;
}

.custom-mudselect-white .mud-input-label {
    font-weight: bold !important;
    background-color: white !important;
    border-radius: 4px;
    color: dimgray !important;
}

.custom-chip-white {
    background-color: white !important;
    color: black !important;
}

.custom-chip-delay {
    color: white !important;
    height: 15px !important;
    width: 30px !important;
    font-size: 10px !important;
    margin: 0 -2px -25px auto !important;
    z-index: 1 !important;
}

.custom-chip-delay-unknown {
    background-color: dimgray !important;
}

.custom-chip-delay-green {
    background-color: green !important;
}

.custom-chip-delay-red {
    background-color: red !important;
}

.custom-chip-delay-default-time {
    border-width: 1px !important;
    border-color: lightgray !important;
    border-style: solid !important;
    background-color: white !important;
}

.custom-chip-details-stops-lineNumber {
    margin: 0px -10px -10px 0px !important;
    color: red !important;
    font-weight: bold !important;
}

.custom-mud-display-element {
    min-width: 0;
    display: inline !important;
}

.custom-mud-hide-element {
    min-width: 0;
    display: none !important;
}

.custom-mud-button-details-panel {
    min-width: 0;
    max-height: 25px;
}

.custom-mudtimeline {
    max-width: 75px;
    margin-top: -10px;
    margin-bottom: -10px;
}

.custom-muddrawer {
    width: 400px !important;
}

.custom-font-bold {
    font-weight: bold !important;
}

.custom-font-gray {
    color: gray;
}

.custom-mudstack-details-stops-parent {
    width:100%;
    margin-left: -5px;
    margin-bottom: -10px;
}

.custom-mudstack-details-stops-child {
    margin-bottom: -15px;
}

.custom-mudstack-details-disabled {
    opacity: 0.5;
}

.custom-muddivider-details {
    margin-top: -15px !important;
}

.maplegend-container {
    float: right;
    margin-top: 5px;
}

.maplegend-text {
    text-align: left;
    width: 100%;
    margin-left: -10px !important;
}

.map-tooltip {
    background-color: #ffcc00;
    color: black;
    padding: 4px 8px;
    border-radius: 4px;
    font-size: 12px;
    white-space: nowrap;
    z-index: 9999;
    pointer-events: none; /* important for not blocking mouse */
}

/* Hide Esri Footer*/
.esri-attribution,
.esri-view .esri-view-surface:focus::after {
    display: none !important;
}


/* Responsive small resolution */
@media (max-width: 1024px) {
    .custom-menu,
    .maplegend-text,    
    .countryFlag-container {
        display: none !important;
    }

    .custom-muddrawer {
        width: 250px !important;
    }

    .map-container {
        display: flex;
        flex-direction: column;
        height: 85vh;
        min-height: 100px !important;
        margin: 0 10px 0 10px
    }

    .map-details-content {
        overflow-y: auto;
        height: calc(100vh - 200px);
    }

    .custom-font-bold {
        font-size: 14px !important;
    }    
}

@media (max-width: 640px) {
    .mainLayout-title, 
    .map-legend-title {
        display: none !important;
    }

    .custom-menu-logo {
        margin: 10px 0px 10px 10px;
        width: 100%;
    }
}

@media (max-height: 768px) 
{
    .map-full-size {
        height: calc(100vh - 200px);
        width: 100%;
    }
}